diff --git a/web/pgadmin/misc/static/explain/scss/_explain.scss b/web/pgadmin/misc/static/explain/scss/_explain.scss
index 7c06f8c71..095372ec5 100644
--- a/web/pgadmin/misc/static/explain/scss/_explain.scss
+++ b/web/pgadmin/misc/static/explain/scss/_explain.scss
@@ -48,6 +48,7 @@ div.tab-pane[data-explain-tabpanel=table] {
   td.pga-ex-inclusive-2,
   td.pga-ex-rowsx-2 {
     background-color: $explain-sev-2-bg;
+    color: $explain-sev-2-color;
   }
 
   td.pga-ex-exclusive-3,
diff --git a/web/pgadmin/static/scss/resources/_default.variables.scss b/web/pgadmin/static/scss/resources/_default.variables.scss
index 456f45503..3814391ab 100644
--- a/web/pgadmin/static/scss/resources/_default.variables.scss
+++ b/web/pgadmin/static/scss/resources/_default.variables.scss
@@ -258,6 +258,7 @@ $sql-bracket-match-bg: #f5d2af;
 $explain-sev-2-bg: #FFEE88 !default;
 $explain-sev-3-bg: #EE8800 !default;
 $explain-sev-4-bg: #880000 !default;
+$explain-sev-2-color: #222222 !default;
 $explain-sev-3-color: #FFFFFF !default;
 $explain-sev-4-color: #FFFFFF !default;
 
diff --git a/web/pgadmin/static/scss/resources/dark/_theme.variables.scss b/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
index 7b2608a5b..76cee405d 100644
--- a/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
+++ b/web/pgadmin/static/scss/resources/dark/_theme.variables.scss
@@ -84,6 +84,7 @@ $explain-sev-3-bg: #824d18;
 $explain-sev-4-bg: #880000;
 $explain-sev-3-color: $color-fg;
 $explain-sev-4-color: $color-fg;
+$explain-sev-2-color: #212529;
 
 $negative-bg: $color-bg;
 
diff --git a/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss b/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
index 9e447ec66..2bf2cc0db 100644
--- a/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
+++ b/web/pgadmin/static/scss/resources/high_contrast/_theme.variables.scss
@@ -105,6 +105,7 @@ $table-bg: $color-bg;
 $explain-sev-2-bg: #EAEA43;
 $explain-sev-3-bg: #FFAD65;
 $explain-sev-4-bg: #EE7A55;
+$explain-sev-2-color: #010B15;
 $explain-sev-3-color: #010B15;
 $explain-sev-4-color: #010B15;
 
